package domain


type AlibabaWdkSkuCombineskuUpdateApiResult struct {
    /*
        单个商品是否更新成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        单个商品更新异常编码（异常才有值）     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        单个商品更新异常信息（异常才有值）     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        商品编码值     */
    Model  *string `json:"model,omitempty" `

}

func (s *AlibabaWdkSkuCombineskuUpdateApiResult) SetSuccess(v bool) *AlibabaWdkSkuCombineskuUpdateApiResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuUpdateApiResult) SetErrCode(v string) *AlibabaWdkSkuCombineskuUpdateApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuUpdateApiResult) SetErrMsg(v string) *AlibabaWdkSkuCombineskuUpdateApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkSkuCombineskuUpdateApiResult) SetModel(v string) *AlibabaWdkSkuCombineskuUpdateApiResult {
    s.Model = &v
    return s
}
